<!DOCTYPE html>




<html>
<head>
	<meta charset="utf-8">
	<head>Science and Engineering ethics (2001) 7, 231-238</head>
	<hr
<h1>Software Engineering Code of Ethics and Professional Prctice</h1>

	<title>Software Engineering Code of Ethics and Professional Prctice</title>
	<head>
		IEEE-CS/ACM Join task Force on Software Engineeriong Ethics and Professional Practices
	</head>
</head>
<body>
<h3>PREAMBLE</h3>

<p>The shor Version of the code summarisez at a high level of abstracktion. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Withiout the aspirations, the details can become legalistic and tedios; without the detail, the aspiration can become high-sounding but emty; together, the aspiration and the details form a cohesivecode.</p>

<p>Software Engineers shall commit themselve to making the analisis,specification, design, development, testing, and maintenance of softwaare beneficial and respected profession. In accordace with thier commitment to the health, safety, and wlfare of public, software engineers shall adhere the following eight Principles:</p>

<h3>PRINCIPLES</h3>


<li>1. <em>Public<em> .Software engineers shall act consistenly with the public interest</li>

<li>2.<em>Client and Employer<em>. Software Engineers shall act in a manner that is in the best interest of their clientsand emplyer,consistent with the public interest</li>

<li>3.<em>Product<em>. Software Engineer shall ensure that their products and related modifications meet the highest professional standard possible</li>
<li>4.<em>Judgement<em>. Software Engineer shall maintain entegrityindependence in their professional judgement</li>
<li>5.<em>Management<em>. Software Engineering managers and leaders shall subscribe to and promote an ethical approchto the management of software developer maintenance</li>
<li>6.<em>Profession<em>. Software engineer shall advance the integrity and reputation of the profession cosistent with the public interest.</li>
<li><em>Colleagues<em>. Software Engineers shall be fair to and supportive to their colleagues.</li>
<li>8.<em>Self<em>. Software engineers shall participate in life long learning regarding the practice of their proffesion and shall promote an ethical approach to the practice of the profession</li>



<hr>
</body>
</html>
